QGIS Application - Bug report #17635

"Reloading QGIS" from the crash report dialog fails to reopen the project

2017-12-05 06:09 PM - Harrissou Santanna

Status: Open

Priority: Normal

Assignee: Nathan Woodrow
Category: Project Loading/Saving

Affected QGIS version:3.1(master)
Operating System: Windows 10
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 25532

Description

I'm working on a project stored on the network and i get a crash

I click on the "Reload QGIS" button which is supposed to relaunch QGIS and reopen the project. Btw, this label is not really obvious that it
would reopen the project. Maybe something like "Reload Project” instead?

Anyway... QGIS is relaunched but it fails to reopen the project as he tries to find it in the c:\osgeo4w\bin folder.

And in case of a path with spaces, it takes pieces of text for layers, returning "The layer is invalid: the layer xxx is invalid and could not be
added to the project" in the messagebar.

History

#1 - 2018-03-01 02:32 PM - Harrissou Santanna
- Affected QGIS version changed from master to 3.1(master)

Still true on 3.1

More info

not only a file path containing a space is handled as different files but it also tries to open the file relative to C::OSGEO4~1/bin instead of using the absolute

path
Also note that it uses C:/ and not C://

#2 - 2018-03-05 11:02 AM - Nathan Woodrow

- Assignee set to Nathan Woodrow

Files

ReloadFails.PNG 45.1 KB 2017-12-05 Harrissou Santanna

2025-04-27 1/1




